/*
 * Common image-related functions.
 *
 * Copyright (C) 2018 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "image.h"



/* Obtain the position for the stored region from the given frame. */

position_t *image_get_stored_position(stored_regions_t *r, int frame)
{
    return &r->pos[frame];
}

/* Obtain the image data for the stored region from the given frame. */

uint8_t *image_get_stored_region(stored_regions_t *r, int frame)
{
    return r->image + r->size * frame;
}
